ProLiant Servers (ML,DL,SL)

HPE DL360p Gen8 - can not install latest Qlogic HBA Firmware (HP StorageWorks 82Q 8Gb PCI-e Dual Po)

 
AGRAVIS
Occasional Contributor

HPE DL360p Gen8 - can not install latest Qlogic HBA Firmware (HP StorageWorks 82Q 8Gb PCI-e Dual Po)

Hi all,

after installing the latest SSP (2016.10) the SLES11 SP3 server (latest patch level) display the following message in the /var/log/messages log:

kernel: [ 3441.051052] qla2xxx 0000:07:00.1: vpd r/w failed.  This is likely a firmware bug on this device.  Contact the card vendor for a firmware update.

I've tried to install the latest firmware for this HBA "HP StorageWorks 82Q 8Gb PCI-e Dual Port FC HBA" current firmware "7.03.00 (90d5)" (displayed in iLO)

#systool -av -c fc_host  -->  symbolic_name   = "HPAJ764A FW:v7.03.00 DVR:v8.07.00.34.11.3-k"

The latest firmware for sles11sp3 is this one:

hp-firmware-fc-qlogic-2016.12.01-1.5.x86_64.rpm (which containing firmware 8.02.00)

Every time I install the rpm and execute ./.hpsetup

this message appear:

Loading references...done.
Performing discovery...
WARNING! : No supported adapters found.

Can anyone tell me what I do wrong?

Thanks!

Kind regards,

Nils

3 REPLIES 3
Gerrit van den Heuvel
Occasional Advisor

Re: HPE DL360p Gen8 - can not install latest Qlogic HBA Firmware (HP StorageWorks 82Q 8Gb PCI-e Dual

Hi Nils,

Sorry, no solution for you but I've got something similar.

On five of our BL460c Gen8 servers the Qlogic QMH2572 8 GB FC HBA shows (in iLO) version number 7.03.00 (90d5) and two of them show N/A. The first five run Red Hat Linux version 6.9. The last two servers run Ubuntu 14.x. I tried to update them using the SPP 2017.04.0 iso image to version 8.01.02, but no success. 'Nothing to update' it shows. The OS agents are up to date for RH 6.9. Ubuntu is a problem, because hardly anything available for system management under the OS. All our Windows servers updated successfully and show version 8.01.02. I've logged a case with HPE and wait for feed back.

Kind regards,

Gerrit

 

wojtekr
New Member

Re: HPE DL360p Gen8 - can not install latest Qlogic HBA Firmware (HP StorageWorks 82Q 8Gb PCI-e Dual

I've found this topic and solution is in Installation Instructions:
"The HPE supplied enablement kit must be installed prior to this firmware component being identified by SUM for deployment."

Install HPE QLogic Fibre Channel Enablement Kit for Linux and voilla!

Performing discovery...
Performing flash -- DO NOT INTERRUPT!
Executing flash engine: ./hpqlafwupdate
Info: Updating Flash on HBA port(s) - HPAJ764A. Please wait...
Option ROM update complete. Changes have been saved to both ports of this HBA.
You must reboot in order for changes to take effect.
Info: Option ROM update complete. Changes have been saved to both ports of this HBA.
You must reboot in order for changes to take effect.
Info: HBA instance 1 - HPAJ764A does not need to be upgraded.
Info: Updating Flash on HBA port(s) - HPAJ764A. Please wait...
Option ROM update complete. Changes have been saved to both ports of this HBA.
You must reboot in order for changes to take effect.
Info: Option ROM update complete. Changes have been saved to both ports of this HBA.
You must reboot in order for changes to take effect.
Info: HBA instance 7 - HPAJ764A does not need to be upgraded.
Info: Updating Flash on HBA port(s) - HPAJ764A. Please wait...
Option ROM update complete. Changes have been saved to both ports of this HBA.
You must reboot in order for changes to take effect.
Info: Option ROM update complete. Changes have been saved to both ports of this HBA.
You must reboot in order for changes to take effect.
Info: HBA instance 3 - HPAJ764A does not need to be upgraded.
Info: Updating Flash on HBA port(s) - HPAJ764A. Please wait...
Option ROM update complete. Changes have been saved to both ports of this HBA.
You must reboot in order for changes to take effect.
Info: Option ROM update complete. Changes have been saved to both ports of this HBA.
You must reboot in order for changes to take effect.
Info: HBA instance 5 - HPAJ764A does not need to be upgraded.
Info: Updates completed successfully (8 out of 8).
Flash Engine exit code: 0
Flash complete [1]

I've posted for guys like me wondering what's wrong.

techin
Regular Advisor

Re: HPE DL360p Gen8 - can not install latest Qlogic HBA Firmware (HP StorageWorks 82Q 8Gb PCI-e Dual

@wojtekr..Great info..Thanks